using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ProjectPlanner
{
    public partial class frmSplash : Form
    {
        public frmSplash()
        {
            this.Font = SystemFonts.MessageBoxFont;
            InitializeComponent();
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            System.Diagnostics.FileVersionInfo VI;
            VI = System.Diagnostics.FileVersionInfo.GetVersionInfo(System.Reflection.Assembly.GetExecutingAssembly().Location);
            if (VI.FileMajorPart > 0 || VI.FileMinorPart > 0 || VI.FileBuildPart > 0)
            {
                lblVersion.Text = "Version " + VI.FileMajorPart + "." + VI.FileMinorPart + "." + VI.FileBuildPart;
            }
            else
            {
                lblVersion.Text = "";
            }            

            if (Program.VersionSuffix != "")
                lblVersion.Text += " " + Program.VersionSuffix;

            lblVersion.Update();            

            string S;
            S = "This software is provided \'as is\' without warranty of any kind." + "\r\n";
            S = S + "Copyright(c) 2009-2014 by Kroll-Software, Altdorf/CH. All Rights Reserved.";

            lblCopyRight.Text = S;            
        }
    }
}