﻿/*
{*******************************************************************}
{                                                                   }
{       KS-GANTT DotNet Library                                     }
{       Gantt-Charting Control for Windows Forms                    }
{                                                                   }
{       Copyright (c) 2009 - 2014 by Kroll-Software                 }
{       All Rights Reserved                                         }
{                                                                   }
{   This code is provided 'as is',                                  }
{   without warranties of any kind. Use at your own risk.           }                                                              
{                                                                   }
{   As a license holder of the KS-Gantt Control,                    }
{   you may freely redistribute executables based on                }
{   and created with these contents.                                }
{   You can modify the source code to meet your needs.              }
{                                                                   }
{   However, you must not publish, redistribute or transfer         }
{   this source code to 3rd parties under any conditions.           }
{                                                                   } 
{*******************************************************************}
*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ProjectPlanner
{
    public class clsLanguageSelection
    {
        private List<string> m_LanguageCodes = new List<string>();
        public List<string> LanguageCodes
        {
            get
            {
                return m_LanguageCodes;
            }
        }


        private Dictionary<string, string> m_LanguageNames = new Dictionary<string, string>();
        public Dictionary<string, string> LanguageNames
        {
            get
            {
                return m_LanguageNames;
            }
        }

        public clsLanguageSelection()
        {
            //m_LanguageCodes.Add("bn-IN");
            m_LanguageCodes.Add("cs");
            m_LanguageCodes.Add("da");
            m_LanguageCodes.Add("de");
            m_LanguageCodes.Add("el");
            m_LanguageCodes.Add("en");
            m_LanguageCodes.Add("es");
            m_LanguageCodes.Add("et");
            m_LanguageCodes.Add("fi");
            m_LanguageCodes.Add("fr");
            m_LanguageCodes.Add("hi");
            m_LanguageCodes.Add("hr");
            m_LanguageCodes.Add("hu");
            m_LanguageCodes.Add("is");
            m_LanguageCodes.Add("it");
            m_LanguageCodes.Add("ja");
            m_LanguageCodes.Add("nl");
            m_LanguageCodes.Add("no");
            m_LanguageCodes.Add("pt");
            m_LanguageCodes.Add("ru");
            m_LanguageCodes.Add("sk");
            m_LanguageCodes.Add("sl");
            m_LanguageCodes.Add("sv");
            //m_LanguageCodes.Add("ta");
            m_LanguageCodes.Add("th");
            m_LanguageCodes.Add("tr");
            m_LanguageCodes.Add("zh-CHS");

            // ***********************************

            //m_LanguageNames.Add("bn-IN", "বাংলা");
            m_LanguageNames.Add("cs", "český");
            m_LanguageNames.Add("da", "danske");
            m_LanguageNames.Add("de", "deutsch");
            m_LanguageNames.Add("el", "ελληνικά");
            m_LanguageNames.Add("en", "english");
            m_LanguageNames.Add("es", "español");
            m_LanguageNames.Add("et", "eesti");
            m_LanguageNames.Add("fi", "suomalainen");
            m_LanguageNames.Add("fr", "français");
            m_LanguageNames.Add("hi", "हिंदी");
            m_LanguageNames.Add("hr", "hrvatski");
            m_LanguageNames.Add("hu", "magyar");
            m_LanguageNames.Add("is", "Icelandic");
            m_LanguageNames.Add("it", "italiano");
            m_LanguageNames.Add("ja", "日本人");
            m_LanguageNames.Add("nl", "Nederlands");
            m_LanguageNames.Add("no", "norsk");
            m_LanguageNames.Add("pt", "português");
            m_LanguageNames.Add("ru", "русский");
            m_LanguageNames.Add("sk", "slovenský");
            m_LanguageNames.Add("sl", "slovenščina");
            m_LanguageNames.Add("sv", "svenska");
            //m_LanguageNames.Add("ta", "தமிழ்");
            m_LanguageNames.Add("th", "ภาษาไทย");
            m_LanguageNames.Add("tr", "Türkçe");
            m_LanguageNames.Add("zh-CHS", "中国的");
        }
    }
}
